cURL
curl --request GET \
--url https://api.woox.io/v3/spotMargin/interestHistory \
--header 'x-api-key: <x-api-key>' \
--header 'x-api-signature: <x-api-signature>' \
--header 'x-api-timestamp: <x-api-timestamp>'import requests
url = "https://api.woox.io/v3/spotMargin/interestHistory"
headers = {
"x-api-key": "<x-api-key>",
"x-api-signature": "<x-api-signature>",
"x-api-timestamp": "<x-api-timestamp>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-api-key': '<x-api-key>',
'x-api-signature': '<x-api-signature>',
'x-api-timestamp': '<x-api-timestamp>'
}
};
fetch('https://api.woox.io/v3/spotMargin/interestHistory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"meta": {
"total": 1865,
"recordsPerPage": 25,
"currentPage": 1
},
"rows": [
{
"id": 1649844,
"token": "USDT",
"side": "LOAN",
"status": "SUCCEED",
"quantity": "14896.05440493",
"userId": 10988,
"applicationId": "6400b4f6-d354-4e7f-844f-6153b666e2b6",
"interest": "-0.14896054",
"hourlyRate": "0.00001",
"annualRate": "0.0876",
"createdTime": 1696637410973,
"updatedTime": 1696637410973,
"loanAmount": "14896.05440493"
},
{
"id": 1649752,
"token": "USDT",
"side": "AUTO_REPAY",
"status": "SUCCEED",
"quantity": null,
"userId": 10988,
"applicationId": "6400b4f6-d354-4e7f-844f-6153b666e2b6",
"interest": "2.02039756",
"hourlyRate": null,
"annualRate": null,
"createdTime": 1696637405108,
"updatedTime": 1696637405124,
"loanAmount": null
}
]
},
"timestamp": 1721351502594
}
Spot Margin
Get interest history
get spot margin interest history
GET
/
v3
/
spotMargin
/
interestHistory
cURL
Limit 10 requests per 60 seconds
{
"success": true,
"data": {
"meta": {
"total": 1865,
"recordsPerPage": 25,
"currentPage": 1
},
"rows": [
{
"id": 1649844,
"token": "USDT",
"side": "LOAN",
"status": "SUCCEED",
"quantity": "14896.05440493",
"userId": 10988,
"applicationId": "6400b4f6-d354-4e7f-844f-6153b666e2b6",
"interest": "-0.14896054",
"hourlyRate": "0.00001",
"annualRate": "0.0876",
"createdTime": 1696637410973,
"updatedTime": 1696637410973,
"loanAmount": "14896.05440493"
},
{
"id": 1649752,
"token": "USDT",
"side": "AUTO_REPAY",
"status": "SUCCEED",
"quantity": null,
"userId": 10988,
"applicationId": "6400b4f6-d354-4e7f-844f-6153b666e2b6",
"interest": "2.02039756",
"hourlyRate": null,
"annualRate": null,
"createdTime": 1696637405108,
"updatedTime": 1696637405124,
"loanAmount": null
}
]
},
"timestamp": 1721351502594
}
Headers
Example:
"abcdef123456"
Example:
"signaturestring"
Example:
"1718943200000"
Query Parameters
Token name in upper case
LOAN/REPAY/AUTO_REPAY
Start timestamp in Unix timestamp format in milliseconds
End timestamp in Unix timestamp format in milliseconds
Page number
Data size per page
⌘I